API ReferenceAuth Configs

Update an authentication configurationv3.1

PATCH
/api/v3.1/auth_configs/{nanoid}

Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.

Authorization

x-api-key<token>

Project API key authentication

In: header

Path Parameters

nanoidstringRequired

The unique identifier of the authentication configuration to update

Format: authConfigId

Request Body

application/json

One of:

CustomAuthConfigUpdate
DefaultAuthConfigUpdate

Response Body

application/json

application/json

application/json

application/json

application/json

import requestsurl = "https://example.com/api/v3.1/auth_configs/string"body = """{  "auth_config": {    "credentials": {      "api_key": "YOUR_NEW_API_KEY",      "client_secret": "YOUR_NEW_CLIENT_SECRET"    }  }}"""response = requests.request("PATCH", url, data = body, headers = {  "Content-Type": "application/json"})print(response.text)
{  "success": true,  "message": "string"}